### Constructor

# Adw Avatar new

#### Declaration [src]

    GtkWidget*
    adw_avatar_new (
      int size,
      const char* text,
      gboolean show_initials
    )

#### Description [src]

Creates a new `AdwAvatar`.

Available since: | 1.0

#### Parameters

`size` | `int`
| The size of the avatar.
`text` | `const char*`
| The text used to get the initials and color.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`show_initials` | `gboolean`
| Whether to use initials instead of an icon as fallback.

#### Return value

Returns: | `GtkWidget`
| The newly created `AdwAvatar`
| The data is owned by the called function.